
QGIS Application - Bug report #1942

Allow more decimal/integer places in the labels font size selector

2009-09-21 05:14 PM - cgsbob -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12002

Description

In order to create labels on a feature in geographic CRS, you must have a font size >= 0.01 degrees (which is about 870 meters in one of

my locations) and set the font size to Map units.  This often creates very large labels.

My solution to this problem is to reproject this data in a projected CRS.  A better solution to this problem is to allow more then 2 decimal

places in the Font size spinbox and other spinboxes in the Labels tab.

Associated revisions

Revision 669bddff - 2009-10-08 06:08 PM - Jürgen Fischer

fix #1942

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11772 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision afc55a1d - 2009-10-08 06:08 PM - Jürgen Fischer

fix #1942

git-svn-id: http://svn.osgeo.org/qgis/trunk@11772 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-10-08 08:49 AM - Giovanni Manghi

The same is true when map units are meters. In this case the problem is the opposite as it is necessary to define labels that are defined by 3 or more

integers to see big enough labels when you zoom out. See #1942.

#2 - 2009-10-08 08:49 AM - Giovanni Manghi

sorry I mean #1972

#3 - 2009-10-08 09:08 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
http://svn.osgeo.org/qgis/trunk/qgis@11772
http://svn.osgeo.org/qgis/trunk@11772


fixed in commit:afc55a1d (SVN r11773)

#4 - 2009-10-10 01:26 AM - Giovanni Manghi

Replying to [comment:3 jef]:

fixed in commit:afc55a1d (SVN r11773)

Hi,

thanks for the fix.

it would be possible to disable the label preview for font sizes (in map units) > than a certain value? If by mistake (or not) a very big size is selected the

dialog box become suddenly very wide and exits the limits of the screen.

#5 - 2009-11-21 02:10 PM - Jürgen Fischer

Replying to [comment:4 lutra]:

it would be possible to disable the label preview for font sizes (in map units) > than a certain value? If by mistake (or not) a very big size is selected

the dialog box become suddenly very wide and exits the limits of the screen.

just for the record: duplicate of #2014
